Bug 502050 - global name 'audit_event' is not defined
global name 'audit_event' is not defined
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 11:58 EDT by lejeczek
Modified: 2009-11-18 08:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:08:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2009-05-21 11:58:29 EDT
Description of problem:
entries in messages log file:

May 21 16:51:13 whale setroubleshoot: [avc.ERROR] Exception during AVC analysis: global name 'audit_event' is not defined#012Traceback (most recent call last):#012  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 187, in run#012    self.analyze_avc(avc, report_receiver)#012  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 171, in analyze_avc#012    log_stats.info("analyze_avc() audit_event=%s\nstatistics=%s", audit_event, statistics)#012NameError: global name 'audit_event' is not defined

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

audit-1.7.12-4.fc10.x86_64
audit-libs-1.7.12-4.fc10.x86_64
audit-libs-devel-1.7.12-4.fc10.x86_64
audit-libs-python-1.7.12-4.fc10.x86_64
policycoreutils-2.0.57-17.fc10.x86_64
policycoreutils-gui-2.0.57-17.fc10.x86_64
selinux-doc-1.26-1.1.noarch
selinux-policy-3.5.13-58.fc10.noarch
selinux-policy-3.5.13-59.fc10.noarch
selinux-policy-doc-3.5.13-58.fc10.noarch
selinux-policy-doc-3.5.13-59.fc10.noarch
selinux-policy-targeted-3.5.13-58.fc10.noarch
selinux-policy-targeted-3.5.13-59.fc10.noarch
setroubleshoot-2.0.12-3.fc10.noarch
setroubleshoot-plugins-2.0.12-1.fc10.noarch
setroubleshoot-server-2.0.12-3.fc10.noarch
Comment 1 Daniel Walsh 2009-05-21 13:40:03 EDT
Did you turn profile on in /etc/setroubleshoot/setroubleshoot.cfg
Comment 2 Daniel Walsh 2009-05-21 15:08:10 EDT
Fixed in setroubleshoot-2.0.12-4.fc10.src.rpm
Comment 3 lejeczek 2009-05-22 05:31:51 EDT
hi, yes it seems I did
Comment 4 Daniel Walsh 2009-05-22 07:09:02 EDT
Ok well there was  a bug in this code path.  Which is why no one else had seen it.  Anyways it is now fixed.  Will push it out to testing soon.
Comment 5 Bug Zapper 2009-11-18 07:00:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.